Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/add_phys_tend_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/add_phys_tend_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/add_phys_tend_mod.F90	(revision 5116)
@@ -290,5 +290,5 @@
           PRINT*,'l    T     dT       Q     dQ    '
           DO k = 1, klev
-             write(*,'(i3,2f14.4,2e14.2)') k,t_seri(i,k),zdt(i,k),q_seri(i,k),zdq(i,k)
+             WRITE(*,'(i3,2f14.4,2e14.2)') k,t_seri(i,k),zdt(i,k),q_seri(i,k),zdq(i,k)
           ENDDO
           CALL print_debug_phys(i,debug_level,text)
@@ -304,10 +304,10 @@
       DO j = 1, jqbad
         i=jqadrs(j)
-          if(prt_level>=debug_level) THEN
+          IF(prt_level>=debug_level) THEN
            PRINT*,'WARNING  : EAU POUR LE POINT i lon lat =',&
                   i,longitude_deg(i),latitude_deg(i),text
            PRINT*,'l    T     dT       Q     dQ    '
            DO k = 1, klev
-              write(*,'(i3,2f14.4,2e14.2)') k,t_seri(i,k),zdt(i,k),q_seri(i,k),zdq(i,k)
+              WRITE(*,'(i3,2f14.4,2e14.2)') k,t_seri(i,k),zdt(i,k),q_seri(i,k),zdq(i,k)
            ENDDO
           ENDIF
@@ -367,5 +367,5 @@
         jbad = jbad + 1
         jadrs(jbad) = i
-!         if(prt_level.ge.debug_level) THEN
+!         IF(prt_level.ge.debug_level) THEN
 !         PRINT*,'cas2 i k t_seri zdt',i,k,t_seri(i,k),zdt(i,k)
 !        endif
@@ -375,5 +375,5 @@
         jqadrs(jqbad) = i
         kqadrs(jqbad) = k
-!        if(prt_level.ge.debug_level) THEN
+!        IF(prt_level.ge.debug_level) THEN
 !         PRINT*,'cas2 i k q_seri zdq',i,k,q_seri(i,k),zdq(i,k)
 !        endif
@@ -385,12 +385,12 @@
          i=jadrs(j)
          k=kadrs(j)
-         if(prt_level>=debug_level) THEN
+         IF(prt_level>=debug_level) THEN
           PRINT*,'PLANTAGE2 POUR LE POINT i itap lon lat txt jbad zdt t',&
                  i,itap,longitude_deg(i),latitude_deg(i),text,jbad, &
           zdt(i,k),t_seri(i,k)-zdt(i,k)
-!!!       if(prt_level.ge.10.and.itap.GE.229.and.i.EQ.3027) THEN 
+!!!       IF(prt_level.ge.10.and.itap.GE.229.and.i.EQ.3027) THEN
           PRINT*,'l    T     dT       Q     dQ    '
           DO k = 1, klev
-             write(*,'(i3,2f14.4,2e14.2)') k,t_seri(i,k),zdt(i,k),q_seri(i,k),zdq(i,k)
+             WRITE(*,'(i3,2f14.4,2e14.2)') k,t_seri(i,k),zdt(i,k),q_seri(i,k),zdq(i,k)
           ENDDO
           CALL print_debug_phys(i,debug_level,text)
@@ -407,8 +407,8 @@
                  i,itap,longitude_deg(i),latitude_deg(i),text,jqbad,&
           zdq(i,k), q_seri(i,k)-zdq(i,k), zdql(i,k), ql_seri(i,k)-zdql(i,k)
-!!!       if(prt_level.ge.10.and.itap.GE.229.and.i.EQ.3027) THEN 
+!!!       IF(prt_level.ge.10.and.itap.GE.229.and.i.EQ.3027) THEN
           PRINT*,'l    T     dT       Q     dQ    '
           DO k = 1, klev
-            write(*,'(i3,2f14.4,2e14.2)') k,t_seri(i,k),zdt(i,k),q_seri(i,k),zdq(i,k)
+            WRITE(*,'(i3,2f14.4,2e14.2)') k,t_seri(i,k),zdt(i,k),q_seri(i,k),zdq(i,k)
           ENDDO
           CALL print_debug_phys(i,debug_level,text)
@@ -801,14 +801,14 @@
 
   IF (prt_level >= 3) THEN
-    write(*,9010) text,status," itap:",itap,"enerbilERROR: Q", bilq_error,"  H", bilh_error
+    WRITE(*,9010) text,status," itap:",itap,"enerbilERROR: Q", bilq_error,"  H", bilh_error
 9010  format (1x,A8,2x,A12,A6,I4,A18,E15.6,A5,E15.6)
   ENDIF
   IF (prt_level >= 3) THEN
-    write(*,9000) text,"enerbil: Q,H,KE budget", d_qt_col(1), d_h_col(1),d_ek_col(1)
+    WRITE(*,9000) text,"enerbil: Q,H,KE budget", d_qt_col(1), d_h_col(1),d_ek_col(1)
   ENDIF
   IF (prt_level >= 5) THEN
-    write(*,9000) text,"enerbil at boundaries: Q, H",bilq_bnd, bilh_bnd
-    write(*,9000) text,"enerbil: water budget",d_qt_col(1),d_qw_col(1),d_ql_col(1),d_qs_col(1), d_qbs_col(1)
-    write(*,9000) text,"enerbil: enthalpy budget",d_h_col(1),d_h_dair_col(1),d_h_qw_col(1),d_h_ql_col(1),d_h_qs_col(1),d_h_qbs_col(1)
+    WRITE(*,9000) text,"enerbil at boundaries: Q, H",bilq_bnd, bilh_bnd
+    WRITE(*,9000) text,"enerbil: water budget",d_qt_col(1),d_qw_col(1),d_ql_col(1),d_qs_col(1), d_qbs_col(1)
+    WRITE(*,9000) text,"enerbil: enthalpy budget",d_h_col(1),d_h_dair_col(1),d_h_qw_col(1),d_h_ql_col(1),d_h_qs_col(1),d_h_qbs_col(1)
   ENDIF
 
@@ -816,16 +816,16 @@
   CASE("vdf") specific_diag
     IF (prt_level >= 5) THEN
-      write(*,9000) text,"enerbil: d_h, bilh, sens,t_seri", d_h_col(1), bilh_bnd, sens(1), t_seri(1,1)
-      write(*,9000) text,"enerbil: d_h_col_vdf, f_h, diff",d_h_col_vdf, f_h_bnd, bilh_bnd-sens(1)
+      WRITE(*,9000) text,"enerbil: d_h, bilh, sens,t_seri", d_h_col(1), bilh_bnd, sens(1), t_seri(1,1)
+      WRITE(*,9000) text,"enerbil: d_h_col_vdf, f_h, diff",d_h_col_vdf, f_h_bnd, bilh_bnd-sens(1)
     ENDIF
   CASE("lsc") specific_diag
     IF (prt_level >= 5) THEN
-      write(*,9000) text,"enerbil: rain, bil_lat, bil_sens", rain_lsc(1), rlvtt * rain_lsc(1), -(rcw-rcpd)*t_seri(1,1) * rain_lsc(1)
-      write(*,9000) text,"enerbil: snow, bil_lat, bil_sens", snow_lsc(1), rlstt * snow_lsc(1), -(rcs-rcpd)*t_seri(1,1) * snow_lsc(1)
+      WRITE(*,9000) text,"enerbil: rain, bil_lat, bil_sens", rain_lsc(1), rlvtt * rain_lsc(1), -(rcw-rcpd)*t_seri(1,1) * rain_lsc(1)
+      WRITE(*,9000) text,"enerbil: snow, bil_lat, bil_sens", snow_lsc(1), rlstt * snow_lsc(1), -(rcs-rcpd)*t_seri(1,1) * snow_lsc(1)
     ENDIF
   CASE("convection") specific_diag
     IF (prt_level >= 5) THEN
-      write(*,9000) text,"enerbil: rain, bil_lat, bil_sens", rain_con(1), rlvtt * rain_con(1), -(rcw-rcpd)*t_seri(1,1) * rain_con(1)
-      write(*,9000) text,"enerbil: snow, bil_lat, bil_sens", snow_con(1), rlstt * snow_con(1), -(rcs-rcpd)*t_seri(1,1) * snow_con(1)
+      WRITE(*,9000) text,"enerbil: rain, bil_lat, bil_sens", rain_con(1), rlvtt * rain_con(1), -(rcw-rcpd)*t_seri(1,1) * rain_con(1)
+      WRITE(*,9000) text,"enerbil: snow, bil_lat, bil_sens", snow_con(1), rlstt * snow_con(1), -(rcs-rcpd)*t_seri(1,1) * snow_con(1)
     ENDIF
   END SELECT specific_diag
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/add_wake_tend.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/add_wake_tend.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/add_wake_tend.F90	(revision 5116)
@@ -30,5 +30,5 @@
 
 
-     IF (prt_level >= 5) then
+     IF (prt_level >= 5) THEN
         write (*,*) "In add_wake_tend, after ",text
         CALL flush
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/aeropt_5wv.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/aeropt_5wv.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/aeropt_5wv.F90	(revision 5116)
@@ -10,5 +10,5 @@
   USE DIMPHY
   USE aero_mod
-  USE phys_local_var_mod, only: od550aer,od865aer,ec550aer,od550lt1aer
+  USE phys_local_var_mod, ONLY: od550aer,od865aer,ec550aer,od550lt1aer
   USE pres2lev_mod
   USE lmdz_abort_physic, ONLY: abort_physic
@@ -725,5 +725,5 @@
     ENDIF
 
-    IF (soluble) then
+    IF (soluble) THEN
       used_tau(spsol)=.TRUE.
     ELSE
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/albsno.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/albsno.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/albsno.F90	(revision 5116)
@@ -35,5 +35,5 @@
 !****************************************************************************************
 
-  if (albsno0>=0.) then
+  if (albsno0>=0.) THEN
      init(:)=albsno0
      decay(:)=0.
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/alpale.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/alpale.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/alpale.F90	(revision 5116)
@@ -75,6 +75,6 @@
 
        !calcul de ale_wake et alp_wake
-       if (iflag_wake>=1) then
-          if (itap <= it_wape_prescr) then
+       if (iflag_wake>=1) THEN
+          if (itap <= it_wape_prescr) THEN
              do i = 1,klon
                 ale_wake(i) = wape_prescr
@@ -97,5 +97,5 @@
        !combinaison avec ale et alp de couche limite: constantes si pas
        !de couplage, valeurs calculees dans le thermique sinon
-       if (iflag_coupl==0) then
+       if (iflag_coupl==0) THEN
           if (debut.and.prt_level>9) &
                WRITE(lunout,*)'ALE et ALP imposes'
@@ -114,6 +114,6 @@
           ! avant        ALP(i) = alp_wake(i) + Alp_bl(i)
           !             ALP(i) = alp_wake(i) + Alp_bl(i) + alp_offset ! modif sb
-          !         write(20,*)'ALE',ALE(i),Ale_bl(i),ale_wake(i)
-          !         write(21,*)'ALP',ALP(i),Alp_bl(i),alp_wake(i)
+          !         WRITE(20,*)'ALE',ALE(i),Ale_bl(i),ale_wake(i)
+          !         WRITE(21,*)'ALP',ALP(i),Alp_bl(i),alp_wake(i)
           !         enddo
 
@@ -130,5 +130,5 @@
                    www(i)=max(www(i),-omega(i,k)*RD*t_seri(i,k) &
                         /(RG*paprs(i,k)) *zw2(i,k)*zw2(i,k))
-                   ! if (paprs(i,k)>pbase(i)) then
+                   ! if (paprs(i,k)>pbase(i)) THEN
                    ! calcul approche de la vitesse verticale en m/s
                    !  www(i)=max(www(i),-omega(i,k)*RD*temp(i,k)/(RG*paprs(i,k))
@@ -146,9 +146,9 @@
              ALE(i) = max(ale_wake(i),Ale_bl(i))
              !cc nrlmd le 10/04/2012----------Stochastic triggering------------
-             if (iflag_trig_bl>=1) then
+             if (iflag_trig_bl>=1) THEN
                 ALE(i) = max(ale_wake(i),Ale_bl_trig(i))
              endif
              !cc fin nrlmd le 10/04/2012
-             if (alp_offset>=0.) then
+             if (alp_offset>=0.) THEN
                 ALP(i) = alp_wake(i) + Alp_bl(i) + alp_offset ! modif sb
              else
@@ -166,5 +166,5 @@
                      +alp_bl(i)  *(1.+3.*www(i)/( sqrt(ale_bl(i))  +0.1) )
                 !    ALP(i)=alp_wake(i)+Alp_bl(i)+alp_offset*min(omega(i,6),0.)
-                !             if (alp(i)<0.) then
+                !             if (alp(i)<0.) THEN
                 !                PRINT*,'ALP ',alp(i),alp_wake(i) &
                 !                     ,Alp_bl(i),alp_offset*min(omega(i,6),0.)
@@ -176,5 +176,5 @@
        endif
        do i=1,klon
-          if (alp(i)>alp_max) then
+          if (alp(i)>alp_max) THEN
              IF(prt_level>9)WRITE(lunout,*)                             &
                   'WARNING SUPER ALP (seuil=',alp_max, &
@@ -182,5 +182,5 @@
              alp(i)=alp_max
           endif
-          if (ale(i)>ale_max) then
+          if (ale(i)>ale_max) THEN
              IF(prt_level>9)WRITE(lunout,*)                             &
                   'WARNING SUPER ALE (seuil=',ale_max, &
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/alpale_th.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/alpale_th.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/alpale_th.F90	(revision 5116)
@@ -101,5 +101,5 @@
 !!
 !!   Control of the multiplication of no-trigger probabilities between calls 
-!! to the convection scheme. If multiply_proba_notrig is .FALSE., then
+!! to the convection scheme. If multiply_proba_notrig is .FALSE., THEN
 !! proba_notrig is set to 1 at each CALL to alpale_th, so that only the last CALL
 !! plays a role in the triggering of convection. If it is .TRUE., then propa_notrig
@@ -127,6 +127,5 @@
           !cc nrlmd le 10/04/2012
           !-----------Stochastic triggering-----------
-          if (iflag_trig_bl>=1) then
-
+          if (iflag_trig_bl>=1) THEN
              IF (prt_level >= 10) THEN
                 WRITE(lunout,*)'cin, ale_bl_stat, alp_bl, alp_bl_stat ', &
@@ -140,5 +139,5 @@
                 random_notrig(i)=1e6*ale_bl_stat(i)-int(1e6*ale_bl_stat(i))
                 if ( random_notrig(i) > random_notrig_max ) random_notrig(i)=0.
-                if ( ale_bl_trig(i) < abs(cin(i))+1.e-10 ) then
+                if ( ale_bl_trig(i) < abs(cin(i))+1.e-10 ) THEN
                    tau_trig(i)=tau_trig_shallow
                 else
@@ -155,13 +154,12 @@
 
              !Option pour re-activer l'ancien calcul de Ale_bl (iflag_trig_bl=2)
-             IF (iflag_trig_bl==1) then
-
+             IF (iflag_trig_bl==1) THEN
                 !----Tirage al\'eatoire et calcul de ale_bl_trig
                 do i=1,klon
-                   if ( (ale_bl_stat(i) > abs(cin(i))+1.e-10) )  then
+                   if ( (ale_bl_stat(i) > abs(cin(i))+1.e-10) )  THEN
                       proba_notrig(i)=proba_notrig(i)* &
                          (1.-exp(-strig(i)/s2(i)))**(n2(i)*dtime/tau_trig(i))
                       !        print *, 'proba_notrig(i) ',proba_notrig(i)
-                      if (random_notrig(i) >= proba_notrig(i)) then
+                      if (random_notrig(i) >= proba_notrig(i)) THEN
                          ale_bl_trig(i)=ale_bl_stat(i)
                       else
@@ -178,12 +176,11 @@
                 enddo
 
-             ELSE IF (iflag_trig_bl>=2) then
-
+             ELSE IF (iflag_trig_bl>=2) THEN
                 do i=1,klon
-                   if ( (Ale_bl(i) > abs(cin(i))+1.e-10) )  then
+                   if ( (Ale_bl(i) > abs(cin(i))+1.e-10) )  THEN
                       proba_notrig(i)=proba_notrig(i)* &
                          (1.-exp(-strig(i)/s2(i)))**(n2(i)*dtime/tau_trig(i))
                       !        print *, 'proba_notrig(i) ',proba_notrig(i)
-                      if (random_notrig(i) >= proba_notrig(i)) then
+                      if (random_notrig(i) >= proba_notrig(i)) THEN
                          ale_bl_trig(i)=Ale_bl(i)
                       else
@@ -210,15 +207,13 @@
 
           !-----------Statistical closure-----------
-          if (iflag_clos_bl==1) then
-
+          if (iflag_clos_bl==1) THEN
              do i=1,klon
                 !CR: alp probabiliste
-                if (ale_bl_trig(i)>0.) then
+                if (ale_bl_trig(i)>0.) THEN
                    alp_bl(i)=alp_bl(i)/(1.-min(proba_notrig(i),0.999))
                 endif
              enddo
 
-          else if (iflag_clos_bl==2) then
-
+          else if (iflag_clos_bl==2) THEN
              !CR: alp calculee dans thermcell_main
              do i=1,klon
@@ -240,6 +235,5 @@
 
           !-----------Stochastic triggering-----------
-     if (iflag_trig_bl>=1) then
-
+     if (iflag_trig_bl>=1) THEN
         IF (prt_level >= 10) THEN
            WRITE(lunout,*)'cin, ale_bl_stat, alp_bl_stat ', &
@@ -264,5 +258,5 @@
 !!jyg           proba_notrig(i)=1.
            random_notrig(i)=1e6*ale_bl_stat(i)-int(1e6*ale_bl_stat(i))
-           if ( ale_bl_trig(i) < abs(cin(i))+1.e-10 ) then
+           if ( ale_bl_trig(i) < abs(cin(i))+1.e-10 ) THEN
               tau_trig(i)=tau_trig_shallow
            else
@@ -280,5 +274,5 @@
         !----alp_bl computation
         do i=1,klon
-           if ( (ale_bl_ref(i) > abs(cin(i))+1.e-10) )  then
+           if ( (ale_bl_ref(i) > abs(cin(i))+1.e-10) )  THEN
               birth_number = n2(i)*exp(-strig(i)/s2(i))
               birth_rate(i) = birth_number/(tau_trig(i)*cell_area(i))
@@ -299,5 +293,5 @@
         !----ale_bl_trig computation
          do i=1,klon
-           if (random_notrig(i) >= proba_notrig(i)) then
+           if (random_notrig(i) >= proba_notrig(i)) THEN
               ale_bl_trig(i)=ale_bl_ref(i)
            else
@@ -326,10 +320,10 @@
           !IM/FH: 2011/02/23 
           ! Couplage Thermiques/Emanuel seulement si T<0
-          if (iflag_coupl==2) then
+          if (iflag_coupl==2) THEN
              IF (prt_level >= 10) THEN
                 WRITE(lunout,*)'Couplage Thermiques/Emanuel seulement si T<0'
              ENDIF
              do i=1,klon
-                if (t_seri(i,lmax_th(i))>273.) then
+                if (t_seri(i,lmax_th(i))>273.) THEN
                    Ale_bl(i)=0.
                 endif
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/atm2geo.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/atm2geo.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/atm2geo.F90	(revision 5116)
@@ -5,5 +5,5 @@
   USE dimphy
   USE lmdz_phys_para
-  USE lmdz_grid_phy, only: grid_type, unstructured, regular_lonlat
+  USE lmdz_grid_phy, ONLY: grid_type, unstructured, regular_lonlat
   USE lmdz_abort_physic, ONLY: abort_physic
   IMPLICIT NONE
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/calbeta_clim.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/calbeta_clim.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/calbeta_clim.F90	(revision 5116)
@@ -12,5 +12,5 @@
   ! physiq.f pour des sorties directes de beta
 
-  USE phys_cal_mod, only: year_len
+  USE phys_cal_mod, ONLY: year_len
   USE lmdz_print_control, ONLY: prt_level
 
@@ -43,6 +43,5 @@
   do j=1,klon
      !===========
-     if (lat(j) < 5. ) then
-
+     if (lat(j) < 5. ) THEN
         logbeta(j)=0.2*(lat(j)-lat_sud)-1.6
         beta(j)=10**(logbeta(j))
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/calcul_STDlev.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/calcul_STDlev.h	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/calcul_STDlev.h	(revision 5116)
@@ -6,5 +6,5 @@
 !       missing_val=nf90_fill_real
 
-       IF (.not. ok_all_xml) then
+       IF (.not. ok_all_xml) THEN
         CALL ini_undefSTD(itap,itapm1)
        ENDIF
@@ -129,5 +129,5 @@
 !IM on moyenne a la fin du mois, du jour ou toutes les 6h
 
-       IF (.not. ok_all_xml) then
+       IF (.not. ok_all_xml) THEN
         CALL undefSTD(itap, read_climoz)
         CALL moy_undefSTD(itap,itapm1)
@@ -209,5 +209,5 @@
       DO n=1, nlevSTD3
        DO k=1, nlevSTD
-        if(rlevSTD3(n).EQ.rlevSTD(k)) THEN
+        IF(rlevSTD3(n).EQ.rlevSTD(k)) THEN
          twriteSTD3(:,n)=tlevSTD(:,k)
          qwriteSTD3(:,n)=qlevSTD(:,k)
@@ -223,5 +223,5 @@
       DO n=1, nlevSTD8
        DO k=1, nlevSTD
-        if(rlevSTD8(n).EQ.rlevSTD(k)) THEN
+        IF(rlevSTD8(n).EQ.rlevSTD(k)) THEN
          tnondefSTD8(:,n)=tnondef(:,k,2)
          twriteSTD8(:,n)=tsumSTD(:,k,2)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/calcul_fluxs_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/calcul_fluxs_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/calcul_fluxs_mod.F90	(revision 5116)
@@ -18,5 +18,5 @@
     USE dimphy, ONLY: klon
     USE indice_sol_mod
-    use sens_heat_rain_m, only: sens_heat_rain
+    use sens_heat_rain_m, ONLY: sens_heat_rain
 
     INCLUDE "clesphys.h"
@@ -124,5 +124,5 @@
 !!$  WRITE(*,*)'test calcul_flux, surface ', nisurf
 !!PB test
-!!$    if (nisurf == is_oce) then
+!!$    if (nisurf == is_oce) THEN
 !!$      snow = 0.
 !!$      qsol = max_eau_sol
@@ -244,5 +244,5 @@
 ! en cas de fonte de neige
 
-!    if (fonte_neige) then
+!    if (fonte_neige) THEN
 !      bilan_f = radsol(i) + fluxsens(i) - (zx_sl(i) * evap (i)) - &
 !     &          dif_grnd(i) * (tsurf_new(i) - t_grnd) - &
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/call_ini_replay.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/call_ini_replay.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/call_ini_replay.F90	(revision 5116)
@@ -1,4 +1,4 @@
    SUBROUTINE call_ini_replay
    stop 'In call_ini_replay : You should run replay_equip.sh before runing replay[13]d'
-   return
+   RETURN
    end
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/call_param_replay.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/call_param_replay.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/call_param_replay.F90	(revision 5116)
@@ -2,4 +2,4 @@
    integer,intent(in) :: ngrid,nlay
    stop 'In call_param_replay : You should run replay_equip.sh before runing replay[13]d'
-   return
+   RETURN
    end
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/calltherm.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/calltherm.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/calltherm.F90	(revision 5116)
@@ -167,5 +167,5 @@
 !$OMP THREADPRIVATE(first)
 !********************************************************
-      if (first) then
+      if (first) THEN
         itap=0
         first=.FALSE.
@@ -199,5 +199,5 @@
          ale_bl(:)=0.
          alp_bl(:)=0.
-         if (prt_level>=10) then
+         if (prt_level>=10) THEN
           PRINT*,'thermV4 nsplit: ',nsplit_thermals,' weak_inversion'
          endif
@@ -211,5 +211,5 @@
 !               logexpr2(i,k)=.not.q_seri(i,k).ge.0.
                 logexpr2(i,k)=.not.q_seri(i,k)>=1.e-15
-               if (logexpr2(i,k)) then
+               if (logexpr2(i,k)) THEN
 #ifdef ISO
                 qprec(i,k)=q_seri(i,k)
@@ -229,18 +229,18 @@
             enddo
          enddo
-         if(nbptspb>0) PRINT*,'Number of points with q_seri(i,k)<=0 ',nbptspb
+         IF(nbptspb>0) PRINT*,'Number of points with q_seri(i,k)<=0 ',nbptspb
 
 
          new_thermcell=iflag_thermals>=15.and.iflag_thermals<=18
 #ifdef ISO
-      if (.not.new_thermcell) then
+      if (.not.new_thermcell) THEN
            CALL abort_gcm('calltherm 234','isos pas prevus ici',1)
       endif
 #ifdef ISOVERIF
-      if (iso_eau.gt.0) then
+      if (iso_eau.gt.0) THEN
        CALL iso_verif_egalite_vect2D( &
              xt_seri,q_seri, &
              'calltherm 174',ntiso,klon,klev)
-      endif !if (iso_eau.gt.0) then
+      endif !if (iso_eau.gt.0) THEN
 #endif    
 #endif
@@ -250,5 +250,5 @@
          do isplit=1,nsplit_thermals
 
-          if (iflag_thermals>=1000) then
+          if (iflag_thermals>=1000) THEN
             CALL thermcell_2002(klon,klev,zdt,iflag_thermals   &
         ,pplay,paprs,pphi  &
@@ -258,5 +258,5 @@
         ,r_aspect_thermals,30.,w2di_thermals  &
         ,tau_thermals)
-          else if (iflag_thermals==2) then
+          else if (iflag_thermals==2) THEN
             CALL thermcell_sec(klon,klev,zdt  &
         ,pplay,paprs,pphi,zlev  &
@@ -266,5 +266,5 @@
         ,r_aspect_thermals,30.,w2di_thermals  &
         ,tau_thermals)
-          else if (iflag_thermals==3) then
+          else if (iflag_thermals==3) THEN
             CALL thermcell(klon,klev,zdt  &
         ,pplay,paprs,pphi  &
@@ -274,5 +274,5 @@
         ,r_aspect_thermals,l_mix_thermals,w2di_thermals  &
         ,tau_thermals)
-          else if (iflag_thermals==10) then
+          else if (iflag_thermals==10) THEN
             CALL thermcell_eau(klon,klev,zdt  &
         ,pplay,paprs,pphi  &
@@ -282,8 +282,8 @@
         ,r_aspect_thermals,l_mix_thermals,w2di_thermals  &
         ,tau_thermals)
-          else if (iflag_thermals==11) then
+          else if (iflag_thermals==11) THEN
               abort_message = 'cas non prevu dans calltherm'
               CALL abort_physic (modname,abort_message,1)
-          else if (iflag_thermals==12) then
+          else if (iflag_thermals==12) THEN
             CALL calcul_sec(klon,klev,zdt  &
         ,pplay,paprs,pphi,zlev  &
@@ -292,8 +292,8 @@
         ,r_aspect_thermals,l_mix_thermals,w2di_thermals  &
         ,tau_thermals)
-          else if (iflag_thermals==13.or.iflag_thermals==14) then
+          else if (iflag_thermals==13.or.iflag_thermals==14) THEN
               abort_message = 'thermcellV0_main enleve svn>2084'
               CALL abort_physic (modname,abort_message,1)
-          else if (new_thermcell) then
+          else if (new_thermcell) THEN
             CALL thermcell_main(itap,klon,klev,zdt  &
         ,pplay,paprs,pphi,debut  &
@@ -324,5 +324,5 @@
           )
 
-           if (prt_level>10) write(lunout,*)'Apres thermcell_main OK'
+           if (prt_level>10) WRITE(lunout,*)'Apres thermcell_main OK'
          else
            abort_message = 'Cas des thermiques non prevu'
@@ -342,5 +342,5 @@
 ! Calcul a posteriori du niveau max des thermiques pour les schémas qui
 ! ne la sortent pas.
-      if (iflag_thermals<=12.or.iflag_thermals>=1000) then
+      if (iflag_thermals<=12.or.iflag_thermals>=1000) THEN
          lmax(:)=1
          do k=1,klev-1
@@ -401,11 +401,11 @@
             xt_seri(:,:,:) = xt_seri(:,:,:) + d_xt_the(:,:,:)
 #ifdef ISOVERIF
-!      write(*,*) 'calltherm 350 tmp: ajout d_xt_the'
-      if (iso_HDO.gt.0) then
+!      WRITE(*,*) 'calltherm 350 tmp: ajout d_xt_the'
+      if (iso_HDO.gt.0) THEN
 !      i=479
 !      k=4
-!      write(*,*) 'xt_seri(iso_hdo,i,k),q_seri(i,k)=', &
+!      WRITE(*,*) 'xt_seri(iso_hdo,i,k),q_seri(i,k)=', &
 !     &   xt_seri(iso_hdo,i,k),q_seri(i,k)
-!      write(*,*) 'd_xt_the(iso_hdo,i,k),d_q_the(i,k)=', &
+!      WRITE(*,*) 'd_xt_the(iso_hdo,i,k),d_q_the(i,k)=', &
 !     &   d_xt_the(iso_hdo,i,k),d_q_the(i,k)
       CALL iso_verif_aberrant_enc_vect2D( &
@@ -415,13 +415,13 @@
 #endif
 #endif 
-           if (prt_level>10) write(lunout,*)'Apres apres thermcell_main OK'
+           if (prt_level>10) WRITE(lunout,*)'Apres apres thermcell_main OK'
 
        DO i=1,klon
             fm_therm(i,klev+1)=0.
             ale_bl(i)=ale_bl(i)+ale(i)/REAL(nsplit_thermals)
-!            write(22,*)'ALE CALLTHERM',ale_bl(i),ale(i)
+!            WRITE(22,*)'ALE CALLTHERM',ale_bl(i),ale(i)
             alp_bl(i)=alp_bl(i)+alp(i)/REAL(nsplit_thermals)
-!            write(23,*)'ALP CALLTHERM',alp_bl(i),alp(i)
-        if(prt_level>=10) PRINT*,'calltherm i alp_bl alp ale_bl ale',i,alp_bl(i),alp(i),ale_bl(i),ale(i)
+!            WRITE(23,*)'ALP CALLTHERM',alp_bl(i),alp(i)
+        IF(prt_level>=10) PRINT*,'calltherm i alp_bl alp ale_bl ale',i,alp_bl(i),alp(i),ale_bl(i),ale(i)
        ENDDO
 
@@ -433,5 +433,5 @@
             DO i = 1, klon
                logexpr2(i,k)=.not.q_seri(i,k)>=0.
-               if (logexpr2(i,k)) then
+               if (logexpr2(i,k)) THEN
                 q_seri(i,k)=1.e-15
                 nbptspb=nbptspb+1
@@ -441,5 +441,5 @@
                 enddo
 #endif
-!                if (prt_level.ge.10) then
+!                if (prt_level.ge.10) THEN
 !                  PRINT*,'WARN eau<0 apres therm i=',i,'  k=',k  &
 !    &         ,' dq,q',d_q_the(i,k),q_seri(i,k),  &
@@ -450,5 +450,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-      if (iso_HDO.gt.0) then
+      if (iso_HDO.gt.0) THEN
       CALL iso_verif_aberrant_enc_vect2D( &
           xt_seri,q_seri, &
@@ -466,5 +466,5 @@
                if (logexpr2(i,k)) nbptspb=nbptspb+1
 !              if ((t_seri(i,k).lt.50.) .or.  &
-!    &              (t_seri(i,k).gt.370.)) then
+!    &              (t_seri(i,k).gt.370.)) THEN
 !                 PRINT*,'WARN temp apres therm i=',i,'  k=',k  &
 !    &         ,' t_seri',t_seri(i,k)
@@ -483,5 +483,5 @@
                do k=1,klev
             do i=1,klon
-                  if (entr_therm(i,k)>0.) then
+                  if (entr_therm(i,k)>0.) THEN
                      fmc_therm(i,k+1)=fmc_therm(i,k)+entr_therm(i,k)
                   else
@@ -498,9 +498,9 @@
 !      PRINT*,'<<<<calcul de lhumidite dans thermique'
 !CR:on ne le calcule que pour le cas sec
-      if (iflag_thermals<=11) then
+      if (iflag_thermals<=11) THEN
       do i=1,klon
          zqasc(i,1)=q_seri(i,1)
          do k=2,klev
-            if (fmc_therm(i,k+1)>1.e-6) then
+            if (fmc_therm(i,k+1)>1.e-6) THEN
                zqasc(i,k)=(fmc_therm(i,k)*zqasc(i,k-1)  &
                 +entr_therm(i,k)*q_seri(i,k))/fmc_therm(i,k+1)
@@ -520,5 +520,5 @@
                    clwcon0(i,k)=zqasc(i,k)-zqsat(i,k)
                    if (clwcon0(i,k)<0. .or.   &
-               (fm_therm(i,k+1)+detrc_therm(i,k))<1.e-6) then
+               (fm_therm(i,k+1)+detrc_therm(i,k))<1.e-6) THEN
                       clwcon0(i,k)=0.
                    endif
@@ -530,5 +530,5 @@
                    clwcon0(i,k)=zqla(i,k)  
                    if (clwcon0(i,k)<0. .or.   &
-               (fm_therm(i,k+1)+detrc_therm(i,k))<1.e-6) then
+               (fm_therm(i,k+1)+detrc_therm(i,k))<1.e-6) THEN
                    clwcon0(i,k)=0. 
                    endif
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cdrag_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cdrag_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cdrag_mod.F90	(revision 5116)
@@ -313,5 +313,5 @@
          cdm(i)=cdmm(i)
          cdh(i)=cdhh(i)
-         write(*,*) "clc_core cd ch",cdmm(i),cdhh(i)
+         WRITE(*,*) "clc_core cd ch",cdmm(i),cdhh(i)
 
 !------------------                 Pour ECUME                 --------------------
@@ -336,5 +336,5 @@
          cdh(i)=cdhh(i)
    
-         write(*,*) "ecume cd ch",cdmm(i),cdhh(i)
+         WRITE(*,*) "ecume cd ch",cdmm(i),cdhh(i)
 
 !------------------                 Pour COARE CNRM                 --------------------
@@ -359,5 +359,5 @@
          cdm(i)=cdmm(i)
          cdh(i)=cdhh(i)
-         write(*,*) "coare CNRM cd ch",cdmm(i),cdhh(i)
+         WRITE(*,*) "coare CNRM cd ch",cdmm(i),cdhh(i)
 
 !------------------                 Pour COARE Maison                 --------------------
@@ -366,5 +366,5 @@
            pblh(i) = 1500.
          ENDIF
-         write(*,*) "debug size",size(coeffs)
+         WRITE(*,*) "debug size",size(coeffs)
          CALL coare_cp(sqrt(zdu2),t1(i)-tsurf(i),q1(i)-qsurf(i),&
                t1(i),q1(i),&
@@ -377,5 +377,5 @@
          cdm(i)=cdmm(i)
          cdh(i)=cdhh(i)
-         write(*,*) "coare cd ch",cdmm(i),cdhh(i)
+         WRITE(*,*) "coare cd ch",cdmm(i),cdhh(i)
        ELSE
 !------------------                 Pour La param LMDZ (ocean)              --------------------
@@ -446,5 +446,5 @@
              cdmm(i)=MIN(cdmm(i),cdmmax)
              cdhh(i)=MIN(cdhh(i),cdhmax)
-!             write(*,*) "LMDZ cd ch",cdmm(i),cdhh(i)
+!             WRITE(*,*) "LMDZ cd ch",cdmm(i),cdhh(i)
            END IF
          ELSE                          
@@ -474,5 +474,5 @@
                   ENDIF
              CASE (5) ! MO
-                  if (zri(i) < 1./alpha) then
+                  if (zri(i) < 1./alpha) THEN
                     FM(i)=MAX((1.-alpha*zri(i))**2,f_ri_cd_min)
                     FH(i)=FM(i)
@@ -607,5 +607,5 @@
                 FH(i)=FM(i)
            CASE (4)  ! King 2001
-                if (zri(i) < C2/2.) then
+                if (zri(i) < C2/2.) THEN
                   FM(i)=MAX((1.-zri(i)/C2)**2,f_ri_cd_min)
                   FH(i)=  FM(i)
@@ -615,5 +615,5 @@
                 endif
            CASE (5) ! MO
-                if (zri(i) < 1./alpha) then
+                if (zri(i) < 1./alpha) THEN
                   FM(i)=MAX((1.-alpha*zri(i))**2,f_ri_cd_min)
                   FH(i)=FM(i)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cfmip_point_locations.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cfmip_point_locations.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cfmip_point_locations.F90	(revision 5116)
@@ -97,9 +97,9 @@
      lonGCM(ip)=lon(ipt(ip))
      latGCM(ip)=io_lat(jpt(ip))
-     if(jpt(ip)>=2.AND.jpt(ip)<=nbp_lat-1) THEN
+     IF(jpt(ip)>=2.AND.jpt(ip)<=nbp_lat-1) THEN
       tabijGCM(ip)=1+(jpt(ip)-2)*nbp_lon+ipt(ip)
-     else if(jpt(ip)==1) THEN
+     else IF(jpt(ip)==1) THEN
       tabijGCM(ip)=1
-     else if(jpt(ip)==nbp_lat) THEN
+     else IF(jpt(ip)==nbp_lat) THEN
       tabijGCM(ip)=klon_glo
      else 
@@ -109,5 +109,5 @@
     ENDDO
     DO ip=1, npCFMIP
-     if(lonGCM(ip)==io_lon(1)) lonGCM(ip)=360.+lonGCM(ip)
+     IF(lonGCM(ip)==io_lon(1)) lonGCM(ip)=360.+lonGCM(ip)
     ENDDO
    DO i=1, npCFMIP
